/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.jbi.serviceengine.handlers;

import java.util.List;
import java.util.ArrayList;

/**
 * The factory for getting JBIHandlers.  
 * @author Vikas Awasthi
 */
public class JBIHandlerFactory {

    private static JBIHandlerFactory factory = new JBIHandlerFactory();
    private static List<JBIHandler> handlers;

    private JBIHandlerFactory() {
        handlers = new ArrayList<JBIHandler>();
        handlers.add(new JBITransactionHandler());
        handlers.add(new JBISecurityHandler());
    }

    /** It returns a singleton factory instance */
    public static JBIHandlerFactory getInstance() {
        return factory;
    }

    /**
     * Gives a list of all the available handlers.
     */
    public List<JBIHandler> getHandlers() {
        return handlers;
    }
}
